org.icefaces.ace.component.listexporter

## Class XMLExporter

- java.lang.Object
- - org.icefaces.ace.component.listexporter.Exporter
  - - org.icefaces.ace.component.listexporter.XMLExporter

-     public class XMLExporter
      extends Exporter

- - ### Field Summary

    - ### Fields inherited from class org.icefaces.ace.component.listexporter.Exporter

      `encodingType, filename, HTML_TAG_PATTERN, includeHeaders, listExporterValues, logger, pdfFont, postProcessor, preProcessor, selectedItemsOnly, textToExport`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLExporter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addItemValue(java.lang.StringBuilder builder, java.util.List<javax.faces.component.UIComponent> components)`
    `protected void` | `addItemValue(java.lang.StringBuilder builder, ListExporterValue listExporterValue)`
    `protected void` | `addItemValue(java.lang.StringBuilder builder, javax.faces.component.UIComponent component)`
    `protected void` | `addSelectItemValue(java.lang.StringBuilder builder, javax.faces.model.SelectItem item)`
    `protected java.lang.String` | `encloseInCDATASection(java.lang.String string)`
    `java.lang.String` | `export(javax.faces.context.FacesContext facesContext, ListExporter component, ACEList list)`
    `protected java.lang.String` | `sanitizeXMLTagName(java.lang.String tag)`

    - ### Methods inherited from class org.icefaces.ace.component.listexporter.Exporter

      `exportValue, registerResource, setUp, shouldExcludeFromExport`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLExporter

          public XMLExporter()

  - ### Method Detail

    - #### export

          public java.lang.String export(javax.faces.context.FacesContext facesContext,
                                         ListExporter component,
                                         ACEList list)
                                  throws java.io.IOException

      Specified by:
        `export` in class `Exporter`
      Throws:
        `java.io.IOException`

    - #### addSelectItemValue

          protected void addSelectItemValue(java.lang.StringBuilder builder,
                                            javax.faces.model.SelectItem item)
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### addItemValue

          protected void addItemValue(java.lang.StringBuilder builder,
                                      javax.faces.component.UIComponent component)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### addItemValue

          protected void addItemValue(java.lang.StringBuilder builder,
                                      ListExporterValue listExporterValue)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### addItemValue

          protected void addItemValue(java.lang.StringBuilder builder,
                                      java.util.List<javax.faces.component.UIComponent> components)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### sanitizeXMLTagName

          protected java.lang.String sanitizeXMLTagName(java.lang.String tag)

    - #### encloseInCDATASection

          protected java.lang.String encloseInCDATASection(java.lang.String string)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.